Package org.eclipse.emf.compare.ide.ui.internal.logical

# Class EMFResourceMappingMerger.ResourceAdditionAndDeletionTracker

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterImpl
org.eclipse.emf.compare.ide.ui.internal.logical.EMFResourceMappingMerger.ResourceAdditionAndDeletionTracker

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`

Enclosing class:
  EMFResourceMappingMerger

protected static class EMFResourceMappingMerger.ResourceAdditionAndDeletionTracker extends AdapterImpl

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

## Field Summary

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ResourceAdditionAndDeletionTracker()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsAddedResource(org.eclipse.core.runtime.IPath path)`
`boolean`
`containsRemovedResource(org.eclipse.core.runtime.IPath path)`
`Set<org.eclipse.core.resources.IFile>`
`getDeletedIFiles()`
`void`
`notifyChanged(Notification msg)`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, isAdapterForType, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceAdditionAndDeletionTracker

protected ResourceAdditionAndDeletionTracker()

## Method Details

### notifyChanged

public void notifyChanged(Notification msg)

Specified by:
  `notifyChanged` in interface `Adapter`
Overrides:
  `notifyChanged` in class `AdapterImpl`

### containsAddedResource

public boolean containsAddedResource(org.eclipse.core.runtime.IPath path)

### containsRemovedResource

public boolean containsRemovedResource(org.eclipse.core.runtime.IPath path)

### getDeletedIFiles

public Set<org.eclipse.core.resources.IFile> getDeletedIFiles()